Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.comadapter.taskprocessor.threadpool
Class ThreadPoolProcessor

    java.lang.Object
      com.stc.connector.comadapter.taskprocessor.threadpool.ThreadPoolProcessor

All Implemented Interfaces:
  Processor

    public class ThreadPoolProcessor

extends java.lang.Object
implements Processor

Constructor Summary
`ThreadPoolProcessor(java.lang.String initPoolName, WorkPlaceFactory initWorkPlaceFactory, WorkerFactory initWorkerFactory)`

Method Summary
`boolean` | `abortPendingTask(Task task)`
`void` | `activate()`
`void` | `associateWorkplace(WorkPlace workPlace)`
`void` | `disassociateWorkplace(WorkPlace workPlace)`
`int` | `getMaxWorkPlaceCount()`
`java.lang.String` | `getName()`
`Task` | `retrieveTask()`
`void` | `shutdown()`
`void` | `submitTask(Task newTask)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadPoolProcessor

    public ThreadPoolProcessor(java.lang.String initPoolName,
                               WorkPlaceFactory initWorkPlaceFactory,
                               WorkerFactory initWorkerFactory)

Method Detail

### getName

    public java.lang.String getName()

### getMaxWorkPlaceCount

    public int getMaxWorkPlaceCount()

### activate

    public void activate()
                  throws ProcessorException

  Specified by:
    `activate` in interface `Processor`
  Throws:
    `ProcessorException`

### shutdown

    public void shutdown()

  Specified by:
    `shutdown` in interface `Processor`

### submitTask

    public void submitTask(Task newTask)
                    throws ProcessorException

  Specified by:
    `submitTask` in interface `Processor`
  Throws:
    `ProcessorException`

### abortPendingTask

    public boolean abortPendingTask(Task task)
                             throws ProcessorException

  Specified by:
    `abortPendingTask` in interface `Processor`
  Throws:
    `ProcessorException`

### retrieveTask

    public Task retrieveTask()
                      throws ProcessorException

  Specified by:
    `retrieveTask` in interface `Processor`
  Throws:
    `ProcessorException`

### associateWorkplace

    public void associateWorkplace(WorkPlace workPlace)

  Specified by:
    `associateWorkplace` in interface `Processor`

### disassociateWorkplace

    public void disassociateWorkplace(WorkPlace workPlace)

  Specified by:
    `disassociateWorkplace` in interface `Processor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Sun Microsystems, Inc. All rights reserved.